Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.14
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.spi
Interface HierarchyEventListener

All Known Implementing Classes:
  HierarchyDynamicMBean

public interface HierarchyEventListener

Listen to events occuring within a `Hierarchy`.

Since:
  1.2
Author:
  Ceki Gülcü

Method Summary
`void` | `addAppenderEvent(Category cat, Appender appender)`
`void` | `removeAppenderEvent(Category cat, Appender appender)`

Method Detail

### addAppenderEvent

    public void addAppenderEvent(Category cat,
                                 Appender appender)

### removeAppenderEvent

    public void removeAppenderEvent(Category cat,
                                    Appender appender)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.14
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2000-2005 Apache Software Foundation.